Snapshots
Generated on 18 Mar 2026
https://api.paperspace.com/v1
Endpoints
GET List snapshots
/snapshots
Authorizations:
BearerAuth
An API key or access token
List snapshots and filter by machine.
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descmachineId
optional
Request: /snapshots
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/snapshots"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
id
required
The ID of the snapshot.
isAutoSnapshot
required
Whether the snapshot was made automatically.
machineId
required
The ID of the machine the snapshot is for.
name
required
The name of the snapshot.
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"id": "string",
"isAutoSnapshot": true,
"machineId": "string",
"name": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create snapshot
/snapshots
Authorizations:
BearerAuth
An API key or access token
Create a snapshot for a machine.
Request Body: application/json
machineId
required
The ID of the machine to create a snapshot for.
name
required
The name of the snapshot.
Request: /snapshots
{
"machineId": "string",
"name": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"machineId": "string",
"name": "string"
}' \
"https://api.paperspace.com/v1/snapshots"Responses
200
Successful response
application/json
data
required
The snapshot.
Show child properties
id
required
The ID of the snapshot.
isAutoSnapshot
required
Whether the snapshot was made automatically.
machineId
required
The ID of the machine the snapshot is for.
name
required
The name of the snapshot.
event
required
The machine event to poll for the async operation.
Show child properties
dtCreated
required
The date the event was created.
dtFinished
required Nullable
The date the event was finished.
dtStarted
required Nullable
The date the event was started.
error
required Nullable
The error message of the event, if any.
id
required
The ID of the event.
machineId
required Nullable
The ID of the machine the event is for.
name
required
The name of the event, e.g. "create".
state
required
The state of the event, e.g. "done".
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"data": {
"id": "string",
"isAutoSnapshot": true,
"machineId": "string",
"name": "string"
},
"event": {
"dtCreated": "2019-08-24T14:15:22Z",
"dtFinished": "2019-08-24T14:15:22Z",
"dtStarted": "2019-08-24T14:15:22Z",
"error": "string",
"id": "string",
"machineId": "string",
"name": "bill-sessions",
"state": "new"
}
}{
"code": "string",
"message": "string"
}GET Get a snapshot
/snapshots/{id}
Authorizations:
BearerAuth
An API key or access token
Fetches a single snapshot by ID.
Path Parameters
id
required
The ID of the snapshot.
Request: /snapshots/{id}
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/snapshots/{id}"Responses
200
Successful response
application/json
id
required
The ID of the snapshot.
isAutoSnapshot
required
Whether the snapshot was made automatically.
machineId
required
The ID of the machine the snapshot is for.
name
required
The name of the snapshot.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"id": "string",
"isAutoSnapshot": true,
"machineId": "string",
"name": "string"
}{
"code": "string",
"message": "string"
}PUT Update a snapshot
/snapshots/{id}
Authorizations:
BearerAuth
An API key or access token
Updates a single snapshot by ID.
Path Parameters
id
required
The ID of the snapshot.
Request Body: application/json
name
optional
The updated name of the snapshot.
Request: /snapshots/{id}
{
"name": "string"
}curl -X PUT \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}' \
"https://api.paperspace.com/v1/snapshots/{id}"Responses
200
Successful response
application/json
id
required
The ID of the snapshot.
isAutoSnapshot
required
Whether the snapshot was made automatically.
machineId
required
The ID of the machine the snapshot is for.
name
required
The name of the snapshot.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"id": "string",
"isAutoSnapshot": true,
"machineId": "string",
"name": "string"
}{
"code": "string",
"message": "string"
}DELETE Delete snapshot
/snapshots/{id}
Authorizations:
BearerAuth
An API key or access token
Delete a snapshot for a machine.
Path Parameters
id
required
The ID of the snapshot.
Request: /snapshots/{id}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/snapshots/{id}"Responses
200
Successful response
application/json
data
required
The snapshot.
Show child properties
id
required
The ID of the snapshot.
isAutoSnapshot
required
Whether the snapshot was made automatically.
machineId
required
The ID of the machine the snapshot is for.
name
required
The name of the snapshot.
event
required
The machine event to poll for the async operation.
Show child properties
dtCreated
required
The date the event was created.
dtFinished
required Nullable
The date the event was finished.
dtStarted
required Nullable
The date the event was started.
error
required Nullable
The error message of the event, if any.
id
required
The ID of the event.
machineId
required Nullable
The ID of the machine the event is for.
name
required
The name of the event, e.g. "create".
state
required
The state of the event, e.g. "done".
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"data": {
"id": "string",
"isAutoSnapshot": true,
"machineId": "string",
"name": "string"
},
"event": {
"dtCreated": "2019-08-24T14:15:22Z",
"dtFinished": "2019-08-24T14:15:22Z",
"dtStarted": "2019-08-24T14:15:22Z",
"error": "string",
"id": "string",
"machineId": "string",
"name": "bill-sessions",
"state": "new"
}
}{
"code": "string",
"message": "string"
}POST Restore snapshot
/snapshots/{id}/restore
Authorizations:
BearerAuth
An API key or access token
Restore a snapshot for a machine.
Path Parameters
id
required
The ID of the snapshot.
Request Body: application/json
createSnapshotBeforeRestore
optional
Create a new snapshot before restoring.
Request: /snapshots/{id}/restore
{
"createSnapshotBeforeRestore": true
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"createSnapshotBeforeRestore": true
}' \
"https://api.paperspace.com/v1/snapshots/{id}/restore"Responses
200
Successful response
application/json
data
required
The snapshot.
Show child properties
id
required
The ID of the snapshot.
isAutoSnapshot
required
Whether the snapshot was made automatically.
machineId
required
The ID of the machine the snapshot is for.
name
required
The name of the snapshot.
event
required
The machine event to poll for the async operation.
Show child properties
dtCreated
required
The date the event was created.
dtFinished
required Nullable
The date the event was finished.
dtStarted
required Nullable
The date the event was started.
error
required Nullable
The error message of the event, if any.
id
required
The ID of the event.
machineId
required Nullable
The ID of the machine the event is for.
name
required
The name of the event, e.g. "create".
state
required
The state of the event, e.g. "done".
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"data": {
"id": "string",
"isAutoSnapshot": true,
"machineId": "string",
"name": "string"
},
"event": {
"dtCreated": "2019-08-24T14:15:22Z",
"dtFinished": "2019-08-24T14:15:22Z",
"dtStarted": "2019-08-24T14:15:22Z",
"error": "string",
"id": "string",
"machineId": "string",
"name": "bill-sessions",
"state": "new"
}
}{
"code": "string",
"message": "string"
}